Package org.apache.cxf.attachment

# Class AttachmentBoundaryDeserializer

java.lang.Object
org.apache.cxf.attachment.AttachmentBoundaryDeserializer

public class AttachmentBoundaryDeserializer extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentBoundaryDeserializer(Message message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attachment`
  `read(InputStream body)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentBoundaryDeserializer

    public AttachmentBoundaryDeserializer(Message message)

- ## Method Details

  - ### read

    public Attachment read(InputStream body) throws IOException
    Throws:
      `IOException`